%define name wlanconfig-berry
%define version 0.02
%define release b1

Name:		%{name}
Summary:	Wireless LAN Card Configuration
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		System/Tools
Source:		%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}

Requires:	Xdialog

BuildArchitectures: noarch


%description
Minimalistic ncurses/dialog-based WLAN configuration script for BERRY


##
## Setup Section
##

%prep
%setup -q


##
## Build Section
##

%build


##
## Install Section
##

%install
mkdir -p %{buildroot}/opt/berry
install -m 755 wlanconfig %{buildroot}/opt/berry/
install -m 755 -d %{buildroot}/usr/share/applnk-redhat/Berry/Config
install -m 644 wlanconfig.desktop %{buildroot}/usr/share/applnk-redhat/Berry/Config
#install -m 755 -d %{buildroot}/usr/share/gnome/apps/Berry/Config
#install -m 644 saveconfig.desktop %{buildroot}/usr/share/gnome/apps/Berry/Config


##
## Clean Section
##

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


##
## Files Section
##

%files
%defattr (-,root,root)
/opt/berry/wlanconfig
/usr/share/applnk-redhat/Berry/Config


##
## change log
##

%changelog
* Thu Nov 27 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
- from KNOPPIX (http://developer.linuxtag.net/knoppix/sources/)
- wlcardconfig-knoppix_0.5-4.tar.gz
